**Source URL:** https://limited.veevavault.dev/quality/vault-api/api-reference/22.3/documents/export-documents/export-documents.md

# Export Documents



Use this request to export a set of documents to your Vault's [file staging server](/vault-api/guides/file-staging).

<Endpoint path="/api/{version}/objects/documents/batch/actions/fileextract" method="POST"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Content-Type` | `application/json` |
| `Accept` | `application/json` (default) or `application/xml` |
</FieldTable>

## Body Parameters {#body-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `id` | The `id` value of the document(s) to export. |
</FieldTable>

## Query Parameters {#query-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `source` | Optional: To exclude source files, include a query parameter `source=false`. If omitted, defaults to `true`. |
| `renditions` | Optional: To include renditions, include a query parameter `renditions=true`. If omitted, defaults to `false`. |
| `allversions` | Optional: To include all versions or latest version, include a query parameter `allversions=true`. If omitted, defaults to `false`. |
</FieldTable>

## Request {#request}

<CodeExample title="">
```
curl -X POST -H "Authorization: {SESSION_ID}" \
-H "Content-Type: application/json" \
-H "Accept: application/json" \
--data-binary @"C:\Vault\Documents\export_documents.json" \
https://myvault.veevavault.com/api/v17.3/objects/documents/batch/actions/fileextract?source=true&renditions=false&allversions=true

```
</CodeExample>

## Example Body {#example-body}

<CodeExample title="">
```
[{"id": "58"}, {"id":"134"}, {"id":"122"}]

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
    "responseStatus": "SUCCESS",
    "url": "/api/v17.3/services/jobs/36203",
    "job_id": "36203"
}

```
</CodeExample>

## Response Details {#response-details}

On SUCCESS, the response includes the following information:



---

**Previous:** [Export Documents](/quality/vault-api/api-reference/22.3/documents/export-documents)  
**Next:** [Export Document Versions](/quality/vault-api/api-reference/22.3/documents/export-documents/export-document-versions)